%define languageenglazy Gujarati
%define languagecode    gu
%define lc_ctype        gu_IN

Name:           hunspell-%{languagecode}
Version:        20061015
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/gu_IN.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-gu
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_gu_IN.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 20061015-15.mga9
+ Revision: 1801169
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 20061015-14.mga8
+ Revision: 1490514
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20061015-13.mga7
+ Revision: 1262213
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 20061015-12.mga6
+ Revision: 946389
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20061015-11.mga5
+ Revision: 750198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20061015-10.mga5
+ Revision: 680245
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20061015-9.mga4
+ Revision: 505525
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20061015-8.mga3
+ Revision: 353492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 20061015-7.mga3
+ Revision: 325331
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 20061015-6.mga2
+ Revision: 224657
- add requirement on locales (mga#4632)
- stop obsoleting non existing myspell-gu

* Fri Jan 20 2012 kamil <kamil> 20061015-5.mga2
+ Revision: 198526
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20061015-4.mga1
+ Revision: 68809
- imported package hunspell-gu


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061015-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061015-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 04 2008 Parag <pnemade@redhat.com> - 20061015-1
- Initial Fedora release
